PETSc version 3.17.4
Fix/Edit manual page

# MatDenseGetArrayWrite

gives write-only access to the array where the data for a dense matrix is stored

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatDenseGetArrayWrite(Mat A,PetscScalar **array)

Not Collective

### Input Parameter

| mat | - a dense matrix

### Output Parameter

| array | - pointer to the data

### See Also

MatDenseRestoreArrayWrite(), MatDenseGetArray(), MatDenseRestoreArray(), MatDenseGetArrayRead(), MatDenseRestoreArrayRead()

### Level

intermediate

### Location

src/mat/impls/dense/seq/dense.c

### Examples

src/ksp/ksp/tutorials/ex77.c.html

### Implementations

MatDenseGetArrayWrite_MPIDense in src/mat/impls/dense/mpi/mpidense.c
MatDenseGetArrayWrite_SeqDenseCUDA in src/mat/impls/dense/seq/cuda/densecuda.cu
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages